<%= render 'share/option_status' %>
<div class="container-body col-lg-10 col-lg-offset-1">
  	<div class="title-page col-lg-12">
  		<div class="row col-lg-6">
  			<p> Edit Photo</p>
  		</div>
    	<div class="col-lg-offset-11 ">
			<%= link_to '<button class="btn btn-lg btn-primary white-btn">Back</button>'.html_safe, user_path(id: current_user.id) %>
    	</div>
  	</div>
	<div class="row">
	    <div class="col-lg-12">  
	    	<%= form_for(@photo, url: photo_path(@photo), html: { method: :put }) do |f| %>
	      		<div class="row album_wall">
		        <% if notice && notice != "Signed in successfully." %><div class="alert alert-info"><%= notice %></div><% end %>
		        <% if alert %><div class="alert alert-danger"><%= alert %></div><% end %>
		        <div class="row col-lg-12">
		          	<div class="col-lg-6">
			            <div class="form-group">
			              	<%= f.label :title %>
			              	<%= f.text_field :title, autofocus: true, class: 'form-control', require: true %>
			            </div>
			        </div>
			        <div class="col-lg-6">
			            <div class="form-group">
			             	<%= f.label :description %>
			             	<%= f.text_field :description, class: 'form-control', require: true %>
			            </div>
			        </div>
		        </div>
		        <div class="row col-lg-12">
			          <div class="form-group col-lg-6 ">
			            <%= f.label "Sharing mode" %>
			            <% if @photo.private == true%>
							<%= f.select(:private, options_for_select([['Private', true], ['Public', false]] ), {}, {:class => 'form-control'})  %>
			            <% else %>
							<%= f.select(:private, options_for_select([['Public', false], ['Private', true]] ), {}, {:class => 'form-control'})  %>
			            <% end %>   
		        	</div>
		        </div>
		        <div class=" form-group col-lg-4 ">
			        <div id="image-upload" >
			        	<i class="fa fa-window-close fa-2x close-icon" aria-hidden="true" id = "close-icon"></i>
			            <label for="file-input" class="label-upload" id="old-image">
			              	<%= image_tag(@photo.image, class: "photo medium") %>
			            </label>
			            <label for="file-input" class="label-upload" id= "new-image">
			              	<%= image_tag(@photo.image, class: "photo medium", id:"output") %>
			            </label>
			            <label for="file-input" class="label-upload" id = "upload-photo"  >
			              	<i class="fa fa-plus" style="font-size:70px; color: #BDBDBD;" id = "plus-icon"></i>
			            </label>
			            <%= f.file_field :image, multiple: false, id: "file-input", onchange: "document.getElementById('output').src = window.URL.createObjectURL(this.files[0])", class: "form-group upload-img"%><br> 
			        </div> 
		        </div>
		        <div class="row col-lg-12">
		        	<%= f.submit 'Save', class: 'btn btn-success btn-lg search ' %>
		        	<%= link_to '<i class="fa fa-trash" aria-hidden="true">Delete</i>'.html_safe, photo_path(id: @photo.id), method: :DELETE, class: "white-btn btn btn-lg btn-danger col-lg-offset-2 "%>
		        </div>
		    <% end %>
		</div>
	</div>
</div>








